# Conditional build:
%bcond_with		gtk3	# build GTK+3 disables GTK+2
%bcond_without		gtk2	# build with GTK+2

%if %{with gtk3}
%undefine	with_gtk2
%endif

Summary:	lxlauncher
Name:		lxlauncher
Version:	0.2.5
Release:	1
License:	GPL v3
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.xz
# Source0-md5:	94a7a36af92f8409365b6a25b6904eeb
URL:		http://wiki.lxde.org/en/LXLauncher
BuildRequires:	gettext-tools
%{?with_gtk2:BuildRequires:	gtk+2-devel >= 2:2.12.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel}
BuildRequires:	intltool >= 0.40.0
BuildRequires:	menu-cache-devel
BuildRequires:	pkgconfig
BuildRequires:	startup-notification-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LXLauncher is an open source clone of Asus launcher for EeePC. It
outperformes the original launcher developed by Xandros.

%prep
%setup -q

%build
%configure \
	%{?with_gtk3:--enable-gtk3}
touch po/stamp-it
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# there is no frp locale so drop frp
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/{frp,ur_PK}
mv $RPM_BUILD_ROOT%{_datadir}/locale/tt{_RU,}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README NEWS
%{_sysconfdir}/xdg/lxlauncher
%{_sysconfdir}/xdg/menus/lxlauncher-applications.menu
%attr(755,root,root) %{_bindir}/lxlauncher
%{_datadir}/desktop-directories/*directory
%{_mandir}/man1/lxlauncher*
%changelog
* Wed Apr 20 2016 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/lxlauncher.git;a=log;h=master

* Wed Apr 20 2016 Marcin Krol <hawk@tld-linux.org> 07a0d94
- updated to 0.2.5

* Wed Jul 22 2015 Marcin Krol <hawk@tld-linux.org> e5c1202
- updated to 0.2.4

* Wed Jul 22 2015 Marcin Krol <hawk@tld-linux.org> e742db0
- from PLD

